/* Slick slider*/
.slick-carousel {
    max-width: 100%;
    overflow: hidden;
    margin-bottom: 50px;
}

.slick-track {
    display: flex;
    flex-wrap: wrap;
    width: calc(100% + 2em);
}

/* courses-sets */
.courses-set__card {
    height: 22.5em;
    /*margin: 1em 2em 0 0;*/
    margin: 1em;
    position: relative;
    width: calc(50% - 2em);
}

.courses-set__img {
    border-radius: 1em;
    display: block;
    height: 100%;
    object-fit: cover;
    width: 100%;
}

.courses-set__text {
    -webkit-backdrop-filter: blur(12.5px);
    backdrop-filter: blur(12.5px);
    background: linear-gradient(0deg, #0003, #0003), #f4f4f44d;
    border-radius: 0 0 1em 1em;
    bottom: 0;
    left: 0;
    padding: 1em 1.25em;
    position: absolute;
    width: 100%;

    transition: all .3s ease-in;
}

.courses-set__header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.courses-set__header_start {
    justify-content: flex-start;
    gap: 20px;
}

.courses-set__h3 {
    color: white;
}


.courses-set__title,
.courses-set__category {
    margin: 0;
    font-size: 1.125em;
    font-weight: 600;
    line-height: 133%;
}


.courses-set__footer {
    height: 0;
    opacity: 0;
    overflow: hidden;
    transform: translateY(10px);
    transition: height .3s cubic-bezier(0.83, 0, 0.55, 0.95), transform 0.1s ease-in-out, opacity .2s ease-in-out;
    will-change: height, transform, opacity;

    display: flex;
    align-items: end;
    justify-content: end;
}

.courses-set__card:hover .courses-set__footer {
    height: 4em;
    opacity: 1;
    transform: translateY(0);
}

.courses-set__card:hover .courses-set__text {
    -webkit-backdrop-filter: blur(20.5px);
    backdrop-filter: blur(20.5px);
}

.flex__wrap {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    align-items: flex-start;
}

.mrg__top__16 {
    margin-top: 16px;
}

.courses-sets__hidden {
    opacity: 0.5;
}

/*help*/
.courses-set__card .admin__footer__courses-sets {
    position: absolute;
    top: 1em !important;
    left: 1em !important;
    z-index: 1;
}

.row.courses-sets {
    gap: 1em;
    align-items: center;
}

.courses-set__section {
    margin-top: 2em;
    width: 100%;
}

/* Table */
.courses-set-table {
    border-collapse: separate;
    border-spacing: 0;
    border-radius: 1em;
    width: 100%;
    margin: 0 0 2em 0;
    color: white;
}

.courses-set-table thead {
    background-color: #00ac86;
}

.courses-set-table tbody {
    background-color: #3c3c3c;
}

.courses-set-table th,
.courses-set-table td {
    border: 1px solid #00ac86;
    padding: 1em .5em;
    text-align: center;
    min-width: 7em;
}

.courses-set-table th {
    border-left-color: white;
    border-right-color: white;
    border-bottom-color: white;
}

.courses-set-table th:first-child {
    border-top-left-radius: 1em;
    border-left-color: #00ac86;
}

.courses-set-table tr:last-child td:first-child {
    border-bottom-left-radius: 1em;
}

.courses-set-table th:last-child {
    border-top-right-radius: 1em;
    border-right-color: #00ac86;
}

.courses-set-table tr:last-child td:last-child {
    border-bottom-right-radius: 1em;
}

.courses-set-table td:nth-child(2),
.courses-set-table th:nth-child(2) {
    width: 35em;
}

.courses-set__container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    color: white;
}

.courses-set__description.truncated {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* Ограничиваем до 2 строк */
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    max-height: 3em;
    /* запас, зависит от line-height */
}

.courses-set__description p {
    margin: 0;
}